# rpmbuild parameters:
# --without check: Do not run the testsuite.  Default is to run it.

# host != target would cause REMOTE_ONLY build even if building i386 on x86_64.
%global _host %{_target_platform}

%define major   8
%define libname %mklibname unwind %{major}
%define devname %mklibname unwind -d

%define majorcoredump 0
%define libcoredump   %mklibname unwind-coredump %{majorcoredump}

Summary:        An unwinding library
Name:           libunwind
Version:        1.8.0
Release:        %mkrel 1
License:        BSD
Group:          Development/Tools
URL:            https://savannah.nongnu.org/projects/libunwind
Source0:        https://github.com/libunwind/libunwind/releases/download/v%{version}/%{name}-%{version}.tar.xz
#Fedora specific patch
Patch1:         libunwind-arm-default-to-exidx.patch
 # Make libunwind.h multilib friendly
Patch2:         libunwind-1.3.1-multilib-fix.patch

BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  texlive-collection-basic

%description
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{libname}
Summary:        An unwinding library
Group:          System/Libraries

%description -n %{libname}
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{devname}
Summary:        Development package for libunwind
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       unwind-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure2_5x --enable-static --enable-shared --enable-setjmp=no
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# /usr/include/libunwind-ptrace.h
# [...] aren't really part of the libunwind API.  They are implemented in
# a archive library called libunwind-ptrace.a.
mv -f %{buildroot}%{_libdir}/libunwind-ptrace.a %{buildroot}%{_libdir}/libunwind-ptrace.a-save
rm -f %{buildroot}%{_libdir}/libunwind*.a
mv -f %{buildroot}%{_libdir}/libunwind-ptrace.a-save %{buildroot}%{_libdir}/libunwind-ptrace.a
rm -f %{buildroot}%{_libdir}/libunwind-ptrace*.so*

# fix multilib conflicts
touch -r NEWS %{buildroot}%{_includedir}/libunwind.h

%files -n %{libname}
%{_libdir}/libunwind-*.so.%{major}{,.*}
%{_libdir}/libunwind.so.%{major}{,.*}
%{_libdir}/libunwind-coredump.so.%{majorcoredump}{,.*}

%files -n %{devname}
%{_libdir}/libunwind*.so
%{_libdir}/libunwind-ptrace.a
%{_mandir}/*/*
%{_libdir}/pkgconfig/libunwind*.pc
# <unwind.h> does not get installed for REMOTE_ONLY targets - check it.
%{_includedir}/unwind.h
%{_includedir}/libunwind*.h


%changelog
* Thu Feb 15 2024 tex - 1.8.0-1pclos2024
- new version: 1.8.0
